Viewing Issue Advanced Details Jump to Notes ] galaga.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03266 Flip Screen/Cocktail Minor Always Jun 17, 2009, 05:06 Jun 10, 2012, 02:46
Tester stephh View Status Public Platform
Assigned To hap Resolution Fixed OS
Status [?] Resolved   Driver galaga.cpp
Version 0.132 Fixed in Version 0.144u1 Build
Summary 03266: bosco, galaga, xevious, digdug and clones: Screen flipping isn't handled correctly
Description Screen flipping isn't handled correctly when "Cabinet" Dip Switch to "Cocktail".

Note that for 'bosco' (and clones), screen is (badly) flipped for player 1 and player 2 is correct while for other games, screen is (badly) flipped for player 2 and player 1 is correct.

Behaviour was correct in MAME 0.131 (I don't have 'u' release to test when it broke).
Steps To Reproduce
Additional Information
Flags
Regression Version 0.131u4
Affected Sets / Systems bosco, galaga, xevious, digdug and clones
Attached Files
png file icon 0001.png (3,103 bytes)  Oct 6, 2009, 16:12


-  Notes
User avatar
No.07266
hap
(Developer)
Feb 26, 2011, 17:28
edited on: Feb 26, 2011, 17:28
Partially related to 3907 / 4224.
So, it's improved a bit in 141u3, but still broken overall.